#!/bin/bash
sudo apt install libelf-dev libusb-1.0-0-dev libusb-dev libftdi-dev libftdi1-dev libhidapi-dev -y
curl http://wareck.free.fr/cross_compilation/avr_toolchain/avr_toolchain.tar.xz | tar -xJ
sudo cp -r avr /usr/local
rm -r -f avr
cd ~
git clone https://github.com/flashrom/flashrom.git
cd flashrom
make
sudo make install
cd ~
rm -r -f flashrom

if ! grep "/usr/local/avr/bin" ~/.bashrc >/dev/null
        then
        echo "export PATH=XXXXPATH::/usr/local/avr/bin" >> ~/.bashrc
        sed -i -e "s/XXXX/$/g" ~/.bashrc
        source ~/.bashrc
fi
echo -e "\nDone."
